Name:		key-mon
Version:	1.13
Release:	%mkrel 2
Summary:	Keyboard Status Monitor (key-mon)
License:	Apache License
Group:		Education
Url:		http://code.google.com/p/key-mon/
Source0:	http://key-mon.googlecode.com/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
Provides:	keymon = %{version}-%{release}
Requires:	pygtk2.0
Requires:	python-xlib
Requires:	librsvg

%description
Utility to show live keyboard and mouse status for teaching and screencasts.

Key-mon is useful for teaching since it shows the current status of your
keyboard and mouse and you use them in another application.  No longer do
you need to say 'Now I'm pressing the Ctrl-D key', your students can just
see the keystroke for themselves.

%prep
%setup -q

#fix rights
chmod 644 icons/key-mon.xpm

#rename README
mv README.rst README

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

#menu item
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Keyboard Status Monitor
Comment=Utility to show live keyboard and mouse status for teaching and screencasts. 
Exec=key-mon --decorated
Terminal=false
Type=Application
Icon=key-mon
Categories=Education;Utility;
EOF

#symlink
ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/keymon

%files
%doc README
%{_bindir}/keymon
%{_bindir}/key-mon
%{python_sitelib}/key_mon-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/keymon
%{_datadir}/pixmaps/key-mon.xpm
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.13-2.mga3
+ Revision: 356128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 08 2012 wally <wally> 1.13-1.mga3
+ Revision: 280001
- new version 1.13
- fix desktop file creation
- provide keymon

* Sat Feb 04 2012 wally <wally> 1.9-1.mga2
+ Revision: 204411
- imported package key-mon

